Subject: bug#13430: 24.2.92; Fatal error at startup

From: Alejandro Benitez <[email-masked]>
Date: Tue, 15 Jan 2013 19:09:38 -0300

Thanks!
Looks like all directories under /usr/local/share/emacs/24.2.92/lisp were
missing +x flag.

find . -type d -exec sudo chmod go+x {} \;

worked around the issue.
I'm guessing it has to be something related to these sources since I am
able to make/install latest emacs-24.2.tar.gz release tarball just the same
way I build this one.

2013/1/15 Wolfgang Jenkner <[email-masked]>

> On Tue, Jan 15 2013, Wolfgang Jenkner wrote:
>
> > On Tue, Jan 15 2013, Alejandro Benitez wrote:
> >
> >> alejandro@alejandro-desktop:~$ strace -e file emacs -Q 2>&1 | grep
> simple
> >> stat("/usr/local/share/emacs/24.2.92/lisp/simple.elc", 0x7fff361ee320)
> = -1
> >> EACCES (Permission denied)
> >
> > So you have wrong permissions on the file or its parent directory?
> >
> > ls -l /usr/local/share/emacs/24.2.92/lisp/simple.elc
> > ls -ld /usr/local/share/emacs/24.2.92/lisp
>
> You might have to do this as root...
>
> Wolfgang
>